Bug 121087 - Choppy scrolling in multi-page view; especially with OpenGL enabled but also noticeable without
Summary: Choppy scrolling in multi-page view; especially with OpenGL enabled but also ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Scrolling-PageUpDown Multi-Page-View
  Show dependency treegraph
 
Reported: 2018-10-31 17:31 UTC by Telesto
Modified: 2022-08-18 03:40 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file (1.06 MB, application/vnd.oasis.opendocument.text)
2018-10-31 17:32 UTC, Telesto
Details
Bibisect log (3.07 KB, text/plain)
2018-10-31 17:33 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-10-31 17:31:49 UTC
Description:
Choppy scrolling in multi-page view; especially with OpenGL enabled but also noticeable without

Steps to Reproduce:
1. Open the attached file
2. Go to multipage view (3 pages in a row)
3. Scroll down (notice a lag & higher CPU usage compared to prior versions)


Actual Results:
Lag

Expected Results:
Smooth scrolling


Reproducible: Always


User Profile Reset: No


OpenGL enabled: Yes

Additional Info:
Version: 6.2.0.0.alpha1+
Build ID: 4fa9e6f7f891b335ae1b432e0848c1e46c8fe3ef
CPU threads: 4; OS: Windows 6.3; UI render: GL; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-10-30_22:44:48
Locale: nl-NL (nl_NL); Calc: CL
Comment 1 Telesto 2018-10-31 17:32:29 UTC
Created attachment 146212 [details]
Example file
Comment 2 Telesto 2018-10-31 17:33:17 UTC
Created attachment 146213 [details]
Bibisect log

Bisected to:

author	Tor Lillqvist <tml@collabora.com>	2015-08-12 08:18:50 +0300
committer	Tor Lillqvist <tml@collabora.com>	2015-08-12 09:14:20 +0300
commit 4667db065d34193d99bce82f7e8f3b20a03ecade (patch)
tree 405ac0a286040b8a983701f167c583c45691685b
parent 695cec87d73d56617e1cdc62621971ab35ac67eb (diff)
Drop SimpleWinLayout
Use Uniscribe also for non-complex text. It is complicated enough to
have separate Graphite and Uniscribe layout engines. Will make further
changes to the code easier to manage, especially as with the
UniscribeLayout code we have access to the actual
glyphs. (Cf. 3e47219e06b9a279ba22a9bbef668731f2d3e07d)

https://cgit.freedesktop.org/libreoffice/core/commit/?id=4667db065d34193d99bce82f7e8f3b20a03ecade
Comment 3 林佳霈 2018-11-29 08:36:40 UTC
Version: 6.3.0.0.alpha0+ (x64)
Build ID: 0f25a3c36f27fd51453b9a9115f236b83c143684
CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-11-27_20:06:55
Locale: zh-TW (zh_TW); UI-Language: en-US
Calc: threaded

The new version doesn't have the problem.
Comment 4 Telesto 2018-11-29 09:08:15 UTC
I'm still experiencing a lag
Version: 6.3.0.0.alpha0+
Build ID: f21d2b48bd68424a96aa6cd5572e368208378291
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-11-27_00:26:54
Locale: en-US (nl_NL); UI-Language: en-US
Calc: CL
Comment 5 Durgapriyanka 2018-11-29 18:20:41 UTC
I can confirm that the bug is present. I can definitely see the difference in scroll between normal page view and multi page view in my version.

Version: 6.0.6.2
Build ID: 0c292870b25a325b5ed35f6b45599d2ea4458e77
CPU threads: 2; OS: Windows 6.1; UI render: default; 
Locale: en-US (en_US); Calc: group
Comment 6 Xisco Faulí 2018-12-05 13:32:57 UTC
Adding Cc: to Tor Lillqvist
Comment 7 QA Administrators 2022-08-18 03:40:11 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug